device_power_down
Prev | Device Drivers Power Management | Next

## Name

device_power_down — Shut down special devices.

## Synopsis

`int device_power_down (` | pm_message_t | state`)`;

## Arguments

`state`

  Power state to enter.

## Description

Walk the dpm_off_irq list, calling ->`power_down` for each device that couldn't power down the device with interrupts enabled. When we're done, power down system devices.

Prev | Up | Next
device_suspend | Home | Device Drivers ACPI Support